## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationFilter

### Authentication::ezcAuthenticationFilter

### Class ezcAuthenticationFilter

Base class for all authentication filters.

The classes which extend this class must implement the run() method.

This class contains the STATUS_OK constant (with value 0) which is returned by the run() method in case of success. Subclasses must define their own constants to be returned in case of insuccess.

This class adds support for options for subclasses, by providing the protected property $options, and the public methods setOptions() and getOptions().

Source for this file: /Authentication/src/interfaces/authentication_filter.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcAuthenticationDatabaseFilter | Filter to authenticate against a database.
ezcAuthenticationGroupFilter | Group authentication filters together.
ezcAuthenticationTokenFilter | Filter to authenticate against a server generated token.
ezcAuthenticationLdapFilter | Filter to authenticate against an LDAP directory.
ezcAuthenticationTypekeyFilter | Filter to authenticate against TypeKey.
ezcAuthenticationOpenidFilter | Filter to authenticate against OpenID. Currently supporting OpenID 1.0, 1.1 and 2.0.
ezcAuthenticationHtpasswdFilter | Filter to authenticate against an Unix htpasswd file.

### Constants

`STATUS_OK = 0` | Successful authentication.

### Member Variables

protected ezcAuthenticationFilterOptions | `$options` Options for authentication filters.

### Method Summary

public ezcAuthenticationFilterOptions | `getOptions( )` Returns the options of this class.
public abstract int | `run( $credentials )` Runs the filter and returns a status code when finished.
public void | `setOptions( $options )` Sets the options of this class to $options.

### Methods

#### getOptions

ezcAuthenticationFilterOptions getOptions( )

Returns the options of this class.

#### run

int run( ezcAuthenticationCredentials $credentials )

Runs the filter and returns a status code when finished.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$credentials` | ezcAuthenticationCredentials | Authentication credentials

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcAuthenticationDatabaseFilter::run()` | Runs the filter and returns a status code when finished.
`ezcAuthenticationGroupFilter::run()` | Runs the filter and returns a status code when finished.
`ezcAuthenticationTokenFilter::run()` | Runs the filter and returns a status code when finished.
`ezcAuthenticationLdapFilter::run()` | Runs the filter and returns a status code when finished.
`ezcAuthenticationTypekeyFilter::run()` | Runs the filter and returns a status code when finished.
`ezcAuthenticationOpenidFilter::run()` | Runs the filter and returns a status code when finished.
`ezcAuthenticationHtpasswdFilter::run()` | Runs the filter and returns a status code when finished.

#### setOptions

void setOptions( ezcAuthenticationFilterOptions $options )

Sets the options of this class to $options.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | ezcAuthenticationFilterOptions | Options for this class

Documentation generated by phpDocumentor 1.4.3